#include <linux/sdt.h>
extern void gru_steal_context(void);
extern void gru_user_unload_context(void);
extern void gru_unload_context(void);
extern void gru_flush_tlb_range(void);
extern void gru_load_context(void);
extern void gru_alloc_thread_state(void);
extern void gru_assign_gru_context(void);
extern void gru_find_thread_state(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__lockstat_spin__release",  "gru_find_thread_state" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_find_thread_state+0x000000000000004f },
  {"__lockstat_spin__release",  "gru_alloc_thread_state" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_alloc_thread_state+0x00000000000000d7 },
  {"__lockstat_spin__release",  "gru_unload_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_unload_context+0x000000000000010e },
  {"__lockstat_spin__release",  "gru_unload_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_unload_context+0x000000000000011e },
  {"__lockstat_spin__release",  "gru_unload_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_unload_context+0x00000000000001bd },
  {"__lockstat_spin__release",  "gru_load_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_load_context+0x000000000000022b },
  {"__lockstat_spin__release",  "gru_load_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_load_context+0x0000000000000271 },
  {"__lockstat_spin__release",  "gru_steal_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_steal_context+0x00000000000001a7 },
  {"__lockstat_spin__release",  "gru_steal_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_steal_context+0x0000000000000201 },
  {"__lockstat_spin__release",  "gru_assign_gru_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_assign_gru_context+0x000000000000007b },
  {"__lockstat_spin__release",  "gru_assign_gru_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_assign_gru_context+0x00000000000001ea },
  {"__lockstat_spin__release",  "gru_user_unload_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_user_unload_context+0x0000000000000146 },
  {"__lockstat_spin__release",  "gru_user_unload_context" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_user_unload_context+0x000000000000017f },
  {"__lockstat_spin__release",  "gru_flush_tlb_range" /* .text */, 0 /* sdt_args string */, (uintptr_t)gru_flush_tlb_range+0x00000000000001c5 },
};

#define _sdt_probec	14
